deploy:
  stage: deploy
  image: TAG_OF_THE_GITOPS_IMAGE
  resource_group: deploy-repository # Prevents concurrent execution
  script:
    - bash /deployscript.sh
  variables:
    DEPLOY_TAG: $CI_COMMIT_TAG # Adapt to your needs
    KUSTOMIZE_IMAGE_NAME: myapp
    DEPLOY_REPO_URL: git@gitlab.com:YOUR_DEPLOYMENT_REPOSITORY.git
